curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IDN" \
-F "services=idn_residential_identity_card" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "national_id=1111111111111111" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IDN",
services=["idn_residential_identity_card"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="1111111111111111",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IDN",
Services: didit.Some([]string{"idn_residential_identity_card"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("1111111111111111"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IDN")
.services(List.of("idn_residential_identity_card"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("1111111111111111")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IDN',
'services' => ['idn_residential_identity_card'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => '1111111111111111',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IDN",
Services = new string[] { "idn_residential_identity_card" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "1111111111111111",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IDN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IDN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IDN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
データベース検証
インドネシア住民身分証明書(KTP)検証API
Didit経由でインドネシアの公的データベースに住民身分証明書(KTP)を照会。1回$0.35からの従量課金で、契約や最低利用額はありません。
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IDN" \
-F "services=idn_residential_identity_card" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "national_id=1111111111111111" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IDN",
services=["idn_residential_identity_card"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="1111111111111111",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IDN",
Services: didit.Some([]string{"idn_residential_identity_card"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("1111111111111111"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IDN")
.services(List.of("idn_residential_identity_card"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("1111111111111111")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IDN',
'services' => ['idn_residential_identity_card'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => '1111111111111111',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IDN",
Services = new string[] { "idn_residential_identity_card" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "1111111111111111",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IDN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IDN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IDN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
入力データを政府機関の情報と照合します。Diditはこのサービスを
POST /v3/database-validation/で提供しており、送信されたデータを信頼できる情報源と照合し、正規化された照合結果を受け取ることができます。
カバレッジ
- カバレッジ:約90%
- 国:インドネシア
- サービスID:
idn_residential_identity_card - データ領域:住所
- カテゴリ:居住
入力
| フィールド | 必須 | 例 |
|---|---|---|
full_name | はい | John Doe |
date_of_birth | はい | 1990-01-01 |
national_id | はい | 1111111111111111 |
address.street_1 | はい | 123 Sample Street |
address.postal_code | はい | 10001 |
address.street_2 | いいえ | Unit 4 |
address.city | いいえ | Sample City |
address.region | いいえ | Sample State |
gender | いいえ | M |
vendor_data | いいえ | user-1234 |
- 必須の入力:
full_name、date_of_birth、national_id、address.street_1、address.postal_code - 任意の入力:
address.street_2、address.city、address.region、gender、vendor_data - 同意:必須
- ワークフローでの利用:ワークフローで利用可能
- カバレッジ:約90%
- 料金:成功したクエリ1件あたり$0.35
ボディパラメーター
string
デフォルト:"IDN"
必須
このデータベースサービスのISO 3166-1 alpha-3国コードです。例:
IDNstring
デフォルト:"idn_residential_identity_card"
必須
このサービスIDを含む配列です。サービスを固定することで、リクエストの対象をこのデータベースのみに限定できます。例:
idn_residential_identity_cardboolean
デフォルト:"true"
必須
このサービスに対するエンドユーザーの明示的な同意です。例:
truestring
デフォルト:"John Doe"
必須
検証する法的な氏名です。例:
John Doestring
デフォルト:"1990-01-01"
必須
YYYY-MM-DD形式の生年月日です。例:1990-01-01string
デフォルト:"1111111111111111"
必須
このサービスで使用する国民識別番号です。例:
1111111111111111object
必須
構造化された居住地住所オブジェクトです。
street_1、street_2、city、region、postal_code、countryを使用してください。従来形式の完全な住所文字列も引き続き受け付けますが、推奨されません。例:{"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
性別の値です。データベースで必要な場合に指定します。使用できる値:
M(男性)、F(女性)、X(その他または不明)。例:Mstring
デフォルト:"user-1234"
社内のユーザーIDなど、この人物を表す一貫したユーザー参照です。Diditはこれを使用して単独で実行したチェックを同一のエンドユーザーに紐付け、重複検出による不要なノイズを減らします。例:
user-1234入力ルールと検証に関する注意事項
national_idは数字のみで構成する必要があります。リクエストを送信する前に、スペース、ハイフン、句読点を削除してください。national_idはちょうど16文字である必要があります。- 住所サービスでは、可能な限り単一の
address文字列ではなく、構造化された住所フィールドを送信してください。 address.street_1は番地と通りの種別を含む住所です。address.street_2は部屋番号、ユニット、建物、階、または追加の住所行です。情報がある場合にのみ送信してください。address.cityは市、郊外、地区、地域、または近隣地区です。address.regionは州、県、地域、または町です。address.postal_codeは郵便番号です。- 住所ベースのデータベースサービスでは、少なくとも住所と郵便番号が必要です。情報源への照会前に拒否されたリクエストには料金は発生しません。
呼び出し方法
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IDN" \
-F "services=idn_residential_identity_card" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "national_id=1111111111111111" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IDN",
services=["idn_residential_identity_card"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="1111111111111111",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IDN",
Services: didit.Some([]string{"idn_residential_identity_card"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("1111111111111111"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IDN")
.services(List.of("idn_residential_identity_card"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("1111111111111111")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IDN',
'services' => ['idn_residential_identity_card'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => '1111111111111111',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IDN",
Services = new string[] { "idn_residential_identity_card" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "1111111111111111",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
呼び出しが成功すると、常にHTTP
200が返されます。実際の結果はoutcome_codeフィールドで確認できます。たとえば、生体情報が実際に一致しなかった場合(BIOMETRIC_NO_MATCH)と、セルフィーを読み取れなかった場合(BIOMETRIC_IMAGE_UNUSABLE)を区別できます。表示されるstatusは機能のデフォルトのステータスであり、設定済みのPartial Match / No Matchのアクションによって上書きされる場合があります。MATCH:登録機関が本人であることを確認し、照合したすべてのフィールドが一致しました。{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IDN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH:識別番号は見つかりましたが、1つ以上の個人情報フィールド(通常は氏名または生年月日)が完全には一致しませんでした。{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IDN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH:送信されたデータに一致する記録は登録機関から返されませんでした。{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IDN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
返却されるデータ
source_dataに含まれるフィールドは、登録機関が返す内容によって異なります。idn_residential_identity_cardの生成サンプルでは、現在、次の正規化された形式が記載されています。
address_match_scoredate_of_birthidentification_number
料金とSLA
インドネシア住民身分証明書の照会は、Diditが検証ソースから確定的な結果を受け取った場合にのみ課金されます。- 呼び出し1件あたりの料金: $0.35 USD。
- 請求: 成功した照会ごとに課金されます。レジストリに接続できない場合、必須フィールドが不足している場合、またはリクエストがソースに到達する前に拒否された場合は課金されません。
- レイテンシ: p95で通常2秒未満。
- 可用性: Didit側で四半期あたり99.9%。下流のソースの可用性は国やデータセットによって異なります。
関連情報
最終更新日 2026年11月1日